%define name gaim
%define version 0.9.20
%define release 5mdk
%define prefix /usr

Summary: A client compatible with AOL's 'Instant Messenger'

Name: %{name}
Version: %{version}
Release: %{release}
Group: Networking/Chat
BuildRequires: XFree86-devel audiofile-devel esound-devel
Copyright: GPL
Url: http://marko.net/gaim
Source: %{name}-%{version}.tar.bz2
Source1: %{name}_icons.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Gaim allows you to talk to anyone using AOL's Instant Messenger service (you
can sign up at http://www.aim.aol.com).

It uses the TOC version of the AOL protocol, so your buddy list is stored on
AOL's servers and can be retrieved from anywhere.

It contains many of the same features as AOL's IM client while at the same time
incorporating many new features.

%prep

%setup -q
tar xvfy %{SOURCE1}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install

#icons
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm

# Menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/gaim <<EOF
?package(gaim): command="/usr/bin/gaim" needs="X11" \
icon="gaim.xpm" section="/Networking/Instant messaging" \
title="Gaim" longtitle="AOL Instant Messenger clone"
EOF

%post
%{update_menus} 

%postun
%{clean_menus}  

%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%doc doc/the_penguin.txt doc/PROTOCOL doc/CREDITS NEWS COPYING AUTHORS doc/FAQ README ChangeLog

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.20-5mdk
- menu title should begin with capital letter.
- ICQ section was replaced by Instant messaging.
 
* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-4mdk
- Adding small and large icons

* Tue Aug 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-3mdk
- Change icon for menu

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.20-2mdk
- automatically added BuildRequires

* Mon Jul 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-1mdk
- up to 0.9.20

* Fri Jun 23 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.19-1mdk
- 0.9.19

* Thu Jun  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.18-1mdk
- 0.9.18
- minor fixes in specfile

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.11-3mdk
- add 32*32 icon

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.11-2mdk
- Don't +x the menu entries.

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.9.11-1mdk
- v0.9.11
- Added menu
- fixed group
- spec-helper

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
Build Release

* Tue Nov 02 1999 Lenny Cartier <lenny@mandrakesoft.com>
v0.9.9

* Wed Oct 13 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations.
